---
updatedAt: 2026-05-20T06:39:34.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get the Stake and Rewards for Multiple Delegators

Returns the staking balance and rewards earned during the most recent epoch for multiple delegators.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "version": "1.0.0",
    "title": "Staking Reporting API",
    "description": "### Protocols \nThe following protocols are currently supported:\n* Cardano\n* Cosmos\n* Ethereum\n* NEAR\n* Polkadot\n* Polygon \n* Solana \n",
    "contact": {
      "name": "Blockdaemon",
      "email": "support@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "logo.png"
    }
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/reporting/staking",
      "description": "Production server"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/v1/cardano/mainnet/delegator/rewards": {
      "post": {
        "tags": [
          "Cardano Staking Reporting"
        ],
        "summary": "Get the Stake and Rewards for Multiple Delegators",
        "description": "Returns the staking balance and rewards earned during the most recent epoch for multiple delegators.",
        "operationId": "Get Stake and Rewards for multiple Delegators",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/StakingDelegatorAddresses"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Rewards"
                },
                "example": {
                  "rewards": [
                    {
                      "address": "stake1u8003gtvhcunzzmy85nfnk6kafd8lks2mykfzf0n4hq4qzg9f029u",
                      "currency": "ADA",
                      "metadata": {
                        "commission": 0.02,
                        "epoch": 421
                      },
                      "return": "2.596542",
                      "startingBalance": "5783.611154",
                      "timeAggregation": "epoch",
                      "timeEnd": "2023-07-04T21:44:20Z",
                      "timeStart": "2023-06-29T21:46:01Z"
                    },
                    {
                      "address": "stake1u80058a9nztq6d5sudzynepf63pedvpyr3kzhlxacrcefwqf3ez2y",
                      "currency": "ADA",
                      "metadata": {
                        "commission": 0,
                        "epoch": 421
                      },
                      "return": "10.086260",
                      "startingBalance": "22123.017475",
                      "timeAggregation": "epoch",
                      "timeEnd": "2023-07-04T21:44:20Z",
                      "timeStart": "2023-06-29T21:46:01Z"
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Invalid request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error1"
                },
                "example": {
                  "code": 400,
                  "title": "request body has an error: doesn't match schema #/components/schemas/StakingDelegatorAddresses: Error at '/addresses/1': string doesn't match the regular expression '^stake[a-z0-9]+$'"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found",
            "content": {
              "application/json:": {
                "schema": {
                  "$ref": "#/components/schemas/error1"
                },
                "example": {
                  "code": 404,
                  "title": "no delegator rewards found"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "schemas": {
      "Rewards": {
        "type": "object",
        "required": [
          "rewards"
        ],
        "properties": {
          "rewards": {
            "type": "array",
            "description": "A list of rewards.",
            "items": {
              "$ref": "#/components/schemas/Reward"
            }
          }
        }
      },
      "Reward": {
        "required": [
          "address",
          "currency",
          "metadata",
          "return",
          "startingBalance",
          "timeAggregation",
          "timeEnd",
          "timeStart"
        ],
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "description": "The user-defined address."
          },
          "currency": {
            "type": "string",
            "description": "The cryptocurrency protocol the request relates to.",
            "example": "ADA"
          },
          "metadata": {
            "$ref": "#/components/schemas/Metadata2"
          },
          "return": {
            "type": "string",
            "description": "The sum of the rewards for the previous UTC day.",
            "example": "500.000000"
          },
          "startingBalance": {
            "type": "string",
            "description": "The staked amount at the beginning of the previous UTC day (at the timeStart).",
            "example": "5004.058667"
          },
          "timeAggregation": {
            "type": "string",
            "example": "weekly",
            "description": "The agregation period. Either one of `epoch`, `daily`, `weekly`, or `monthly`."
          },
          "timeEnd": {
            "type": "string",
            "description": "The timestamp, in UTC, that marks the end of the period covered.",
            "example": "2022-07-31T23:59:59.000Z"
          },
          "timeStart": {
            "type": "string",
            "description": "The timestamp, in UTC, that marks the start of the period covered.",
            "example": "2022-07-01T00:00:00.000Z"
          }
        }
      },
      "Metadata2": {
        "required": [
          "epoch"
        ],
        "type": "object",
        "description": "The protocol specific data.",
        "properties": {
          "commission": {
            "type": "number",
            "format": "double",
            "description": "The commission rate.",
            "example": 0.01
          },
          "epoch": {
            "type": "integer",
            "format": "int",
            "description": "The epoch number the rewards were earned in.",
            "example": 348
          }
        }
      },
      "StakingDelegatorAddresses": {
        "required": [
          "addresses"
        ],
        "type": "object",
        "description": "A list of delegator addresses.",
        "properties": {
          "addresses": {
            "type": "array",
            "default": [
              "stake1u8003gtvhcunzzmy85nfnk6kafd8lks2mykfzf0n4hq4qzg9f029u",
              "stake1u80058a9nztq6d5sudzynepf63pedvpyr3kzhlxacrcefwqf3ez2y"
            ],
            "items": {
              "type": "string",
              "pattern": "^stake[a-z0-9]+$"
            }
          }
        }
      },
      "error1": {
        "type": "object",
        "properties": {
          "code": {
            "type": "integer",
            "description": "The numeric error code.",
            "example": 16384
          },
          "title": {
            "type": "string",
            "description": "The error description.",
            "example": "Invalid Address"
          }
        }
      }
    }
  },
  "x-readme": {
    "samples-languages": [
      "curl",
      "go",
      "javascript",
      "python",
      "node"
    ],
    "explorer-enabled": false
  }
}
```